#include<bits/stdc++.h>

#define ll long long
#define pb push_back
#define mp make_pair
#define ii pair<int, int>

using namespace std;

int total = 0;

std::vector<int> solve(vector<int> v) {
    int n = v.size();
    int i = 0;
    int j = i + (n>>1);
    bool ok = false;
    int id = 0;
    while (id < n) {
        if (!ok) {
            v[i] = id;
            i++;
        } else {
            v[j] = id;
            j++;
        }
        id++;
        ok = !ok;
    }
    return v;
}